public class PolymorphismDemo {
  /** Metoda main */
  public static void main(String[] args) {
    // Wyświetlanie właściwości koła i prostokąta
    displayObject(new CircleFromSimpleGeometricObject
        (1, "czerwony", false));
    displayObject(new RectangleFromSimpleGeometricObject
        (1, 1, "czarny", true));
  }

  /** Wyświetla właściwości obiektów geometrycznych */
  public static void displayObject(SimpleGeometricObject object) {
    System.out.println("Utworzono: " + object.getDateCreated() +
      ". Kolor: " + object.getColor());
  }
}
